Package ru.bitel.bgbilling.kernel.event

# Class EventListenerContext

java.lang.Object
ru.bitel.common.worker.ThreadContext
ru.bitel.bgbilling.kernel.base.server.DefaultContext
ru.bitel.bgbilling.kernel.container.managed.ContainerContext
ru.bitel.bgbilling.kernel.container.managed.ServerContext
ru.bitel.bgbilling.kernel.event.EventListenerContext

All Implemented Interfaces:
  `AutoCloseable`, `ru.bitel.common.util.ConnectionHolder`, `ru.bitel.common.worker.Commitable`, `ru.bitel.common.worker.CommitableHandler`, `ru.bitel.common.worker.Recyclable`

public class EventListenerContext extends ru.bitel.bgbilling.kernel.container.managed.ServerContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `applicationName`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `setup`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `connectionSet`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EventListenerContext(ru.bitel.bgbilling.kernel.container.managed.ServerContext parent, String applicationName)`
  ``
  `EventListenerContext(Setup setup, int moduleId, String applicationName)`
  ``
  `EventListenerContext(Setup setup, int moduleId, ConnectionSet connectionSet, String applicationName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationName()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ServerContext

  `addCommitable, commit, destroy, getDirectory, getResourceManager, getService, init, newDirectory, newService, publishAfterCommit, recycle`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `getEnvironment, getModuleId, getModuleSetup, getNamingContext, getSetup, getUserId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `close, getConnection, getConnectionSet`

  ### Methods inherited from class ru.bitel.common.worker.ThreadContext

  `get, get, pop, push, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### applicationName

    protected final String applicationName

- ## Constructor Details

  - ### EventListenerContext

    protected EventListenerContext(ru.bitel.bgbilling.kernel.container.managed.ServerContext parent, String applicationName)

  - ### EventListenerContext

    public EventListenerContext(Setup setup, int moduleId, String applicationName)

  - ### EventListenerContext

    public EventListenerContext(Setup setup, int moduleId, ConnectionSet connectionSet, String applicationName)

- ## Method Details

  - ### getApplicationName

    public String getApplicationName()